if BUI_FixMM == nil then BUI_FixMM = {} end

BUI_FixMM.name = "BUI_FixMM"
BUI_FixMM.version = "1.0"

function BUI_FixMM.Hook(control, method, postHookFunction, overwriteOriginal)
	if control == nil then return end

	local originalMethod = control[method]
	control[method] = function(self, ...)
		if(overwriteOriginal == false) then originalMethod(self, ...) end
		postHookFunction(self, ...)
	end
end

-- pseudo-Class definitions
BUI_FixMM.GuildStore = {}
BUI_FixMM.Tooltips = {}

BUI_FixMM.WindowManager = GetWindowManager()
BUI_FixMM.EventManager = GetEventManager()